Project

General

Profile

Bug #15243

Please backport more OpenSSL 1.1.1 compatibility fixes.

Added by vo.x (Vit Ondruch) 8 months ago. Updated 8 months ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux]
[ruby-core:89528]

Description

Some of the fixes are already in Ruby 2.5.2+, but there are others missing, which prevents Ruby from building (passing its test suite) on Fedora 29+ on RHEL:

https://github.com/ruby/ruby/commit/1dfc377ae3b174b043d3f0ed36de57b0296b34d0
https://github.com/ruby/openssl/pull/216
https://github.com/ruby/openssl/pull/217

Just FTR, these were the patches we required to build Ruby 2.5.1 against Fedora 29+:

https://src.fedoraproject.org/rpms/ruby/blob/7c66ce151d79dbdfe5e8ff62a1f4a2d32bc0a8c6/f/ruby.spec#_154-170

History

Updated by jaruga (Jun Aruga) 8 months ago

This ticket is similar with below ticket.
Ruby 2.5.X to support OpenSSL 1.1.1 and TLS 1.3
https://bugs.ruby-lang.org/issues/15219

Also available in: Atom PDF